# Component: Table Component

**Purpose**: Displays a table. Data is populated via URL.

## Props

| Prop Name                          | Label                               | Type     | Default Value | Description                      |
| ---------------------------------- | ----------------------------------- | -------- | ------------- | -------------------------------- |
| heading                            | Heading text                        | string   | Table Heading | Heading text                     |
| tableDataUrl                       | Table Data URL                      | string   |               | Data url                         |
| primaryRowColour\_\_limio\_color   | Primary row colour                  | color    | #D3D3D3       |                                  |
| secondaryRowColour\_\_limio\_color | Secondary row colour                | color    | #FFFFFF       |                                  |
| showBorder                         | Show border on the table's cells    | boolean  | true          | If true a border will be visible |
| alignTableText                     | Choose text alignment for the table | picklist | left          | Options: right, left, center     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.limio.com/components/component-library/legacy-configuration-components/component-table-component.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
